# class AssetManifest

#### package openfl.utils

#### extends AssetManifest

Available on all platforms

### Constructor

###

`new ()`

### Methods

###

`addBitmapData (path:String, ?id:String):Void`

###

`addBytes (path:String, ?id:String):Void`

###

`addFont (name:String, ?id:String):Void`

###

`addSound (paths:Array<String>, ?id:String):Void`

###

`addText (path:String, ?id:String):Void`

### Inherited Variables

#### Defined by AssetManifest

###

`assets:Array<Dynamic>`

###

`libraryArgs:Array<String>`

###

`libraryType:String`

###

`name:String`

###

`rootPath:String`

###

`version:Int`

### Inherited Methods

#### Defined by AssetManifest

###

`serialize ():String`